<?php

namespace Modules\Complaint\Interfaces;

use Illuminate\Http\Request;
use Modules\Complaint\Models\Complaint;

interface ComplaintRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Complaint $complaint);
    public function save(Request $request, ?Complaint $complaint): Complaint;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
